package org.gcube.portlets.user.geoportaldataentry.shared;

import java.io.Serializable;

import org.gcube.application.geoportalcommon.shared.products.model.ValidationReportDV;

/**
 * The Class CommitReport.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Jul 30, 2021
 */
public class CommitReport implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9519707669761939L;

	public Long recordId;
	public String mongoId;
	public ValidationReportDV validationReportDV;

	/**
	 * Instantiates a new commit report.
	 */
	public CommitReport() {

	}

	public CommitReport(Long recordId, String mongoId, ValidationReportDV validationReportDV) {
		super();
		this.recordId = recordId;
		this.mongoId = mongoId;
		this.validationReportDV = validationReportDV;
	}

	public Long getRecordId() {
		return recordId;
	}

	public String getMongoId() {
		return mongoId;
	}

	public ValidationReportDV getValidationReportDV() {
		return validationReportDV;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public void setMongoId(String mongoId) {
		this.mongoId = mongoId;
	}

	public void setValidationReportDV(ValidationReportDV validationReportDV) {
		this.validationReportDV = validationReportDV;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("CommitReport [recordId=");
		builder.append(recordId);
		builder.append(", mongoId=");
		builder.append(mongoId);
		builder.append(", validationReportDV=");
		builder.append(validationReportDV);
		builder.append("]");
		return builder.toString();
	}

}
